/*
 * jSite2 - JSiteException.java
 * Copyright © 2008 David Roden
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

package net.pterodactylus.jsite.core;

/**
 * Base exception for all jSite-specific exceptions.
 *
 * @author David ‘Bombe’ Roden &lt;bombe@freenetproject.org&gt;
 */
public class JSiteException extends Exception {

	/**
	 * Creates a new jSite exception.
	 */
	public JSiteException() {
		super();
	}

	/**
	 * Creates a new jSite exception with the given message.
	 *
	 * @param message
	 *            The message of the exception
	 */
	public JSiteException(String message) {
		super(message);
	}

	/**
	 * Creates a new jSite exception with the given cause.
	 *
	 * @param cause
	 *            The cause of the exception
	 */
	public JSiteException(Throwable cause) {
		super(cause);
	}

	/**
	 * Creates a new jSite exception with the given message and cause.
	 *
	 * @param message
	 *            The message of the exception
	 * @param cause
	 *            The cause of the exception
	 */
	public JSiteException(String message, Throwable cause) {
		super(message, cause);
	}

}
